<ng-container *transloco="let t; read: 'user_role_dialog'">
  <h2
    mat-dialog-title
    class="primary-title header-spacing">
    {{t('header')}}
  </h2>
  <mat-dialog-content class="mat-typography dialog-content-text-color">
    <p>
      {{t('selected_org')}} {{organization.organization_name}}
    </p>
    <p>{{t('hint')}}</p>
    <section [formGroup]="roleForm">
      <ng-container *ngFor="let role of controls; let i=index">
        <p *ngIf="role !== ORGANIZATION_ROLES.APP_MAINTAINER">
          <span
            [matTooltip]="'role_hints.'+role|transloco">
            <mat-checkbox
              color="primary"
              [formControlName]="role">
              {{'roles.'+role|transloco}}
            </mat-checkbox>
          </span>
        </p>
      </ng-container>
    </section>
  </mat-dialog-content>
  <mat-divider></mat-divider>
  <div class="button-container">
    <button
      mat-stroked-button
      color="warn"
      class="round-button stroked-button-border-color"
      [mat-dialog-close]="undefined">
      {{t('cancel')}}
    </button>
    <button
      mat-flat-button
      color="primary"
      class="round-button"
      [disabled]="false"
      [mat-dialog-close]="getSubmitData()"
      cdkFocusInitial>
      {{t('send')}}
    </button>
  </div>
</ng-container>
